summaryrefslogtreecommitdiffstats
path: root/misc-scripts/make-sourceball
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2009-02-04 22:20:54 +0100
committerAaron Griffin <aaronmgriffin@gmail.com>2009-02-04 22:20:54 +0100
commitac14b100b2e85f7c2eea63f1d7f4307e062fa46d (patch)
tree047a58ecae1f0b6cca18fd4f22d70a08e313cb35 /misc-scripts/make-sourceball
parent9df5198acf0088ce8818bee9b3c9fbf44a26628d (diff)
downloaddbscripts-ac14b100b2e85f7c2eea63f1d7f4307e062fa46d.tar.gz
dbscripts-ac14b100b2e85f7c2eea63f1d7f4307e062fa46d.tar.xz
More sourceball output cleanup
Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
Diffstat (limited to 'misc-scripts/make-sourceball')
-rwxr-xr-xmisc-scripts/make-sourceball18
1 files changed, 5 insertions, 13 deletions
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball
index 8237176..cdbd697 100755
--- a/misc-scripts/make-sourceball
+++ b/misc-scripts/make-sourceball
@@ -57,6 +57,9 @@ create_srcpackage() {
if [ -d "$1" ]; then
pushd "$1" >/dev/null
. "$BUILDSCRIPT"
+
+ echo "Creating source tarball for $pkgname-$pkgver-$pkgrel"
+
if ! chk_license ${license[@]}; then
echo -e "\tPackage license (${license[@]}) does not require source tarballs. Doing nothing"
cleanup 0
@@ -64,7 +67,7 @@ create_srcpackage() {
if ! /usr/bin/makepkg --allsource >/dev/null 2>&1; then
popd >/dev/null
- return 1
+ die "\tFailed to download source for $pkgname-$pkgver-$pkgrel ($reponame-$arch)"
fi
popd >/dev/null
@@ -93,19 +96,8 @@ set_umask
/bin/mkdir -p "$WORKDIR"
cd "$WORKDIR"
-echo "Creating Source tarball for $packagename ($reponame-$arch)"
-
if /usr/bin/svn export -q "$SVN_PATH/$packagename/repos/$reponame-$arch" $packagename; then
create_srcpackage "$packagename"
- if [ $? -eq 0 ]; then
- exit 0
- elif [ $? -eq 1 ]; then
- #trunk sometimes has updated URLs
- die "\tFailed to download source"
- exit 1
- elif [ $? -eq 2 ]; then
- die "\tFailed to compress package"
- fi
else
- die "\tPackage does not exist in repo"
+ die "\tPackage '$packagename' does not exist in repo '$reponame-$arch'"
fi